From bdfc73efa4e9c59e97c011e37a03fb65d4e483f2 Mon Sep 17 00:00:00 2001
From: Justin Davis <jrcd83@gmail.com>
Date: Thu, 4 Nov 2010 11:24:59 -0700
Subject: [PATCH 3/3] Use regexp to accept only integers for the ID column match.

---
 web/lib/aurjson.class.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/web/lib/aurjson.class.php b/web/lib/aurjson.class.php
index 754d7f5..f69a590 100644
--- a/web/lib/aurjson.class.php
+++ b/web/lib/aurjson.class.php
@@ -129,7 +129,7 @@ class AurJSON {
         $queries  = array();
         for ( $i = 0 ; $i < count( $args ) ; ++$i ) {
             $arg = $args[$i];
-            if ( is_numeric($arg) ) {
+            if ( preg_match( '/^\d+$/', $arg )) {
                 array_push( $queries, "ID=$arg" );
                 $args[$i] = array( "type" => "ID", "value" => $arg );
                 continue;
-- 
1.7.3

